Update Chat Contact

Update the details of an existing chat contact.

PUT https://developers.chatway.app/api/v1/contacts/{id}

Example request

curl -X PUT "https://developers.chatway.app/api/v1/contacts/9b0c5fe6-35ad-459d-b6ba-4288191f84f1" \
  -H "X-API-KEY: your_api_key" \
  -H "Content-Type: application/json" \
  -d '{
    "email": "[email protected]",
    "name": "John Doe",
    "phone": "+1XXXXXXXXXX"
}'

Parameters

NameInRequiredTypeDescription
idpathYesstringChat contact ID Example: 9b0c5fe6-35ad-459d-b6ba-4288191f84f1

Request body

application/json

Responses

200

application/json

404

422

Examples

Request body example

{
    "email": "[email protected]",
    "name": "John Doe",
    "phone": "+1XXXXXXXXXX"
}

Response 200 example

{
    "message": "Conversation not found",
    "data": {
        "type": "chat-contacts",
        "id": "9b0c5fe6-35ad-459d-b6ba-4288191f84f1",
        "attributes": {
            "widget_name": "Main site widget",
            "widget_id": "eouqtiupanm6uvglwshy",
            "team_id": "MOCK_TEAM_ID",
            "name": "John Doe",
            "email": "[email protected]",
            "phone": "+1XXXXXXXXXX",
            "country_dialing_code": "+1",
            "bgcolor": "#007F3E",
            "location": "New York, US",
            "browser_type": "Chrome 143",
            "country_code": "US",
            "country": "United States",
            "country_flag": "country flag",
            "country_emoji": "country emoji",
            "page_visited": [],
            "timezone": "timezone",
            "language": "language",
            "ip": "ip",
            "operating_system": "operating system",
            "online_status": "online",
            "last_active_at": "2026-02-04T10:30:00Z",
            "blocked_at": "blocked at",
            "is_name_updated": false,
            "created_at": "2026-02-04T10:30:00Z",
            "verified_id": "verified id",
            "verified_email": "verified email"
        }
    }
}